﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UIManager : MonoBehaviour {

    GameObject uiCanvas;
    Text uiBaseHealthText;
    Text uiGoldText;
    Text uiScoreText;
    GameObject uiGameOver;

    // Use this for initialization
    void Start () {

        uiCanvas = GameObject.Find("Canvas");
        uiBaseHealthText = uiCanvas.transform.Find("UIBaseHealth").GetComponent<Text>();
        uiGoldText = uiCanvas.transform.Find("UIGold").GetComponent<Text>();
        uiScoreText = uiCanvas.transform.Find("UIScore").GetComponent<Text>();
        uiGameOver = uiCanvas.transform.Find("UIGameOver").gameObject;

    }
	
	// Update is called once per frame
	void Update () {
	
	}

    public void UpdateUiBaseHealth(int value) {
        uiBaseHealthText.text = value.ToString();
    }

    public void UpdateUiGold(int value) {
        uiGoldText.text = value.ToString();
    }

    public void UpdateUiScore(int value)
    {
        uiScoreText.text = value.ToString();
    }

    public void SetGameOver() {
        uiGameOver.SetActive(true);

    }
}
