﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoundBank : MonoBehaviour {


	public AudioClip explosionSound;
	public AudioClip goldSound;
	public AudioClip loseLifeSound;
	public AudioClip spawnSound;


	public AudioSource audioObject;

	public static SoundBank currentInstance;
	// Use this for initialization
	void Start () {
		currentInstance = this;

	}
	
	// Update is called once per frame
	void Update () {
		
	}
		
	void PlaySound(AudioClip clip)
	{
		audioObject.PlayOneShot(clip);
	}

	public void PlayExplosionSound()
	{
		PlaySound(explosionSound);
	}

	public void PlayLoseLifeSound()
	{
		PlaySound(loseLifeSound);
	}

	public void PlaySpawnSound()
	{
		PlaySound (spawnSound);
	}

	public void PlayGoldSound()
	{
		PlaySound (goldSound);
	}

}
