﻿using UnityEngine;
using System.Collections;

public class DragRotate : MonoBehaviour {

    float startX;
    float distance;

    GameObject directionArrow;

    void Start()
    {
        directionArrow = transform.Find("Direction Arrow").gameObject;


    }

    void OnMouseDown()
    {


        startX = Input.mousePosition.x;
        distance = 0;

       if (!directionArrow.activeSelf) {
            gameObject.GetComponent<Rigidbody>().velocity = Vector3.zero;
            gameObject.GetComponent<Rigidbody>().angularVelocity = Vector3.zero;
        }

    }

    void OnMouseDrag()
    {



        distance = startX - Input.mousePosition.x;

        if (Mathf.Abs(distance) > 3) {
            directionArrow.SetActive(true);
        }

        directionArrow.transform.rotation = Quaternion.Euler(0, distance, 0);

    }

    void OnMouseUp() {

        if (directionArrow.activeSelf)
        {
            directionArrow.SetActive(false);
            gameObject.GetComponent<Rigidbody>().AddForce(directionArrow.transform.right * 5000);

            gameObject.GetComponent<Ball>().ChangeEnergy(true);
        }

    }


}
